/*
 * Item do resultado da classificacao
 */

package classificador;

/**
 *
 * @author dj
 */
public class ItemResultado implements Cloneable {

    private String nomeDoArquivo = "";
    private int compositorDoItem = -1;
    private double valor = -1;

    public ItemResultado(int modelo){
        this.compositorDoItem = modelo;
    }

    /**
     * @return the modelo
     */
    public int getCompositorItem() {
        return compositorDoItem;
    }

    /**
     * @param compositor the modelo to set
     */
    public void setCompositorDoItem(int compositor) {
        this.compositorDoItem = compositor;
    }

    /**
     * @return the valor
     */
    public double getValor() {
        return valor;
    }

    /**
     * @param valor the valor to set
     */
    public void setValor(double valor) {
        this.valor = valor;
    }

    /**
     * @return the nomeDoArquivo
     */
    public String getNomeDoArquivo() {
        return nomeDoArquivo;
    }

    /**
     * @param nomeDoArquivo the nomeDoArquivo to set
     */
    public void setNomeDoArquivo(String nomeDoArquivo) {
        this.nomeDoArquivo = nomeDoArquivo;
    }
    
    /**
     * @return 
     */
    @Override
    public ItemResultado clone(){
        ItemResultado cloneItem = new ItemResultado(this.compositorDoItem);
        cloneItem.setNomeDoArquivo(this.nomeDoArquivo);
        cloneItem.setValor(this.valor);
        return cloneItem;
    }

}
